package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.SmsBalance;
import com.ssm.manage.entity.SmsRechargeList;
import com.ssm.manage.query.SmsBalanceRequest;

import java.util.List;

public interface SmsBalanceService extends BaseService<SmsBalance> {
    SmsBalance selectBystoreId(SmsBalance smsBalance);

    PageInfo<SmsBalance> page(SmsBalanceRequest smsBalance);

    List<SmsBalance> selectBySmsBalance(SmsBalance smsBalance);

    int insert(SmsBalance smsBalance);

    int updateById(SmsBalance smsBalance);
}
